summaryrefslogtreecommitdiffstats
path: root/test/units/testsuite-23.percentj-wantedby.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 20:49:52 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-10 20:49:52 +0000
commit55944e5e40b1be2afc4855d8d2baf4b73d1876b5 (patch)
tree33f869f55a1b149e9b7c2b7e201867ca5dd52992 /test/units/testsuite-23.percentj-wantedby.sh
parentInitial commit. (diff)
downloadsystemd-55944e5e40b1be2afc4855d8d2baf4b73d1876b5.tar.xz
systemd-55944e5e40b1be2afc4855d8d2baf4b73d1876b5.zip
Adding upstream version 255.4.upstream/255.4
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/units/testsuite-23.percentj-wantedby.sh')
-rwxr-xr-xtest/units/testsuite-23.percentj-wantedby.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/units/testsuite-23.percentj-wantedby.sh b/test/units/testsuite-23.percentj-wantedby.sh
new file mode 100755
index 0000000..e9ffaba
--- /dev/null
+++ b/test/units/testsuite-23.percentj-wantedby.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
+# ex: ts=8 sw=4 sts=4 et filetype=sh
+set -eux
+set -o pipefail
+
+# Ensure %j Wants directives work
+systemd-run --wait \
+ --property="Type=oneshot" \
+ --property="Wants=testsuite-23-specifier-j-wants.service" \
+ --property="After=testsuite-23-specifier-j-wants.service" \
+ true
+
+test -f /tmp/tetsuite-23-specifier-j-done